import { match } from 'path-to-regexp';
// import { resolveRoute } from 'vike/routing'; // eslint-disable-line import/extensions

const path = '/stash/:username/:stashSlug/:domain?/:scope?/:page?';
const urlMatch = match(path, { decode: decodeURIComponent });

export default (pageContext) => {
	const matched = urlMatch(pageContext.urlPathname);

	if (matched) {
		return {
			routeParams: {
				username: matched.params.username,
				stashSlug: matched.params.stashSlug,
				domain: matched.params.domain || 'scenes',
				scope: matched.params.scope || 'stashed',
				page: matched.params.page || '1',
				path,
			},
		};
	}

	return false;
};
